{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.tusoteuthis.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"attack": "variable.attack_time > 0"
						},
						{
							"swim_angle": "query.is_in_water"
						},
						"swim"
					],
					"transitions": [
						{
							"slowdown": "!query.can_climb && query.ground_speed<3"
						},
						{
							"hypnosis_transition": "query.can_climb"
						}
					],
					"blend_transition": 0.5
				},
				"slowdown": {
					"animations": [
						{
							"attack": "variable.attack_time > 0"
						},
						"swim_slow",
						"swim"
					],
					"transitions": [
						{
							"default": "!query.can_climb && query.ground_speed>3"
						},
						{
							"hypnosis_transition": "query.can_climb"
						}
					],
					"blend_transition": 0.5
				},
				"hypnosis_transition": {
					"animations": [
						{
							"attack": "variable.attack_time > 0"
						},
						"swim_slow",
						"swim"
					],
					"transitions": [
						{
							"hypnosis": "query.can_climb"
						}
					],
					"blend_transition": 5
				},
				"hypnosis": {
					"animations": [
						{
							"attack": "variable.attack_time > 0"
						},
						"hypnotize",
						"swim"
					],
					"transitions": [
						{
							"slowdown": "!query.can_climb && query.ground_speed<3"
						},
						{
							"default": "!query.can_climb && query.ground_speed>3"
						}
					],
					"blend_transition": 1
				}
			}
		}
	}
}